SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
SLNet::SignaledEvent Class Reference

`#include <slikenet/SignaledEvent.h>`

## Public Member Functions

| SignaledEvent ()
| ~SignaledEvent ()
void | InitEvent (void)
void | CloseEvent (void)
void | SetEvent (void)
void | WaitOnEvent (int timeoutMs)

## Protected Attributes

SimpleMutex | isSignaledMutex
bool | isSignaled
pthread_condattr_t | condAttr
pthread_cond_t | eventList
pthread_mutex_t | hMutex
pthread_mutexattr_t | mutexAttr

## Detailed Description

Definition at line 41 of file SignaledEvent.h.

## Constructor & Destructor Documentation

SignaledEvent::SignaledEvent | ( |  | ) |

Definition at line 31 of file SignaledEvent.cpp.

References eventList, and isSignaled.

SignaledEvent::~SignaledEvent | ( |  | ) |

Definition at line 41 of file SignaledEvent.cpp.

## Member Function Documentation

void SignaledEvent::CloseEvent | ( | void |  | ) |

Definition at line 74 of file SignaledEvent.cpp.

References condAttr, eventList, hMutex, and mutexAttr.

Referenced by SLNet::RakPeer::~RakPeer().

void SignaledEvent::InitEvent | ( | void |  | ) |

Definition at line 46 of file SignaledEvent.cpp.

References condAttr, eventList, hMutex, and mutexAttr.

void SignaledEvent::SetEvent | ( | void |  | ) |

Definition at line 101 of file SignaledEvent.cpp.

References eventList, isSignaled, isSignaledMutex, SLNet::SimpleMutex::Lock(), and SLNet::SimpleMutex::Unlock().

Referenced by SLNet::RakPeer::OnRNS2Recv(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendBuffered(), SLNet::RakPeer::SendBufferedList(), and SLNet::RakPeer::Shutdown().

void SignaledEvent::WaitOnEvent | ( | int | timeoutMs | ) |

Definition at line 127 of file SignaledEvent.cpp.

References eventList, hMutex, isSignaled, isSignaledMutex, SLNet::SimpleMutex::Lock(), and SLNet::SimpleMutex::Unlock().

Referenced by for(), and RAK_THREAD_DECLARATION().

## Member Data Documentation

pthread_condattr_t SLNet::SignaledEvent::condAttr

protected

Definition at line 64 of file SignaledEvent.h.

Referenced by CloseEvent(), and InitEvent().

pthread_cond_t SLNet::SignaledEvent::eventList

protected

Definition at line 66 of file SignaledEvent.h.

Referenced by CloseEvent(), InitEvent(), SetEvent(), SignaledEvent(), and WaitOnEvent().

pthread_mutex_t SLNet::SignaledEvent::hMutex

protected

Definition at line 67 of file SignaledEvent.h.

Referenced by CloseEvent(), InitEvent(), and WaitOnEvent().

bool SLNet::SignaledEvent::isSignaled

protected

Definition at line 62 of file SignaledEvent.h.

Referenced by SetEvent(), SignaledEvent(), and WaitOnEvent().

SimpleMutex SLNet::SignaledEvent::isSignaledMutex

protected

Definition at line 61 of file SignaledEvent.h.

Referenced by SetEvent(), and WaitOnEvent().

pthread_mutexattr_t SLNet::SignaledEvent::mutexAttr

protected

Definition at line 68 of file SignaledEvent.h.

Referenced by CloseEvent(), and InitEvent().

The documentation for this class was generated from the following files:

- Source/include/slikenet/SignaledEvent.h
- Source/src/SignaledEvent.cpp